#include "xc.h"

/** CONFIGURATION **************************************************/

        __CONFIG(FOSC_HS & WDTE_OFF & PWRTE_OFF & MCLRE_ON & CP_OFF & BOREN_ON & CLKOUTEN_OFF & IESO_OFF & FCMEN_OFF);
        __CONFIG(WRT_OFF & STVREN_ON &  BORV_LO & LPBOR_OFF & LVP_OFF);


int main(void)
{
	
	TRISB = 0x7f;	// set only PORTC(RB7 pin) to output
					// "0" corresponds to "o"utput and "1" to "i"nput
	ANSELB= 0x00;	// set all RC pins to digital pins

	OPTION_REGbits.nWPUEN=0;	//weak pull-up enable
	WPUB=0x10;		//weak pull-up for RB5

	TRISC = 0x7e;	// set only PORTC(RC0 and RC7 pins) to output
					// "0" corresponds to "o"utput and "1" to "i"nput
	ANSELC= 0x00;	// set all RC pins to digital pins

	#include "and_tff.inc"

	while(1){
		LATCbits.LATC7=1;;
		_delay(2000000UL);//0.5 sec delay
		LATCbits.LATC7=0;
		_delay(2000000UL);
	}
}
